#include<stdio.h>
#include<math.h>
    int main()
    {
        int a,b,c,d,n;
        printf("Enter a 4 digit Number:");
        scanf("%d",&n);
        a=(n%10000)/1000;
        b=(n%1000)/100;
        c=(n%100)/10;
        d=(n%10)/1;
        printf("\nThe first Digit is:%d",a);
        printf("\nThe second Digit is:%d",b);
        printf("\nThe third Digit is:%d",c);
        printf("\nThe fourth Digit is:%d",d);
        return 0;
    }
